/*!
  \file
  \brief tiny_sci.c の動作サンプル

  \author Satofumi KAMIMURA

  $Id: sci_sample.c 1111 2009-07-05 21:06:28Z satofumi $
*/

#include "tiny_sci.h"


void __main(void) {};
int main(void)
{
  // シリアルデバイスの初期化
  enum { FirstBaudrate = 9600 };
  sci_initialize(FirstBaudrate);

  // 文字列を表示
  sci_setBaudrate(115200);
  sci_puts("hello.\r\n");

  while (1) {
    sci_getch();
    sci_puts("pressed\n");
  }
}
